Get Team (By ID)

Request

GET

https://api.sourcecraft.tech/teams/id:{team_id}

Path parameters

Name

Description

team_id

Type: string

Example: ``

Query parameters

Name

Description

team_slug

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "id": "example",
  "slug": "example",
  "description": "example",
  "members_count": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  }
}

Name

Description

description

Type: string

Example: example

id

Type: string

IAM group ID of the team. Use this value as Subject.id when assigning roles with type=team.

Example: example

members_count

Type: string<int64>

Example: example

organization

Type: OrganizationEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

slug

Type: string

Example: example

OrganizationEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example